package com.sunxung.factoring.entity.refundsManagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.sunxung.factoring.entity.BaseEntity;

import java.time.LocalDateTime;
import java.io.Serializable;

/**
 * <p>
 * 退款管理-收方账户信息表
 * </p>
 *
 * @author yafan
 * @since 2024-03-04
 */
@TableName("refunds_apply_account_info")
public class RefundsApplyAccountInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 退款管理-申请内容表id
     */
    @TableField("refunds_apply_details_id")
    private Long refundsApplyDetailsId;

    /**
     * 收款账户名称
     */
    @TableField("collection_account_name")
    private String collectionAccountName;

    /**
     * 收款账号
     */
    @TableField("collection_account")
    private String collectionAccount;

    /**
     * 收款账户开户行
     */
    @TableField("collection_bank_name")
    private String collectionBankName;

    /**
     * 状态 0:提交、1:通过、2:退回
     */
    @TableField("status")
    private Integer status;

    public Long getRefundsApplyDetailsId() {
        return refundsApplyDetailsId;
    }

    public void setRefundsApplyDetailsId(Long refundsApplyDetailsId) {
        this.refundsApplyDetailsId = refundsApplyDetailsId;
    }

    public String getCollectionAccountName() {
        return collectionAccountName;
    }

    public void setCollectionAccountName(String collectionAccountName) {
        this.collectionAccountName = collectionAccountName;
    }
    public String getCollectionAccount() {
        return collectionAccount;
    }

    public void setCollectionAccount(String collectionAccount) {
        this.collectionAccount = collectionAccount;
    }
    public String getCollectionBankName() {
        return collectionBankName;
    }

    public void setCollectionBankName(String collectionBankName) {
        this.collectionBankName = collectionBankName;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    @Override
    public String toString() {
        return "RefundsApplyAccountInfo{" +
            ", collectionAccountName=" + collectionAccountName +
            ", collectionAccount=" + collectionAccount +
            ", collectionBankName=" + collectionBankName +
        "}";
    }
}
